POST api/NTNonInjury/SaveClinicalPathway
Request Information
URI Parameters
None.
Body Parameters
ClinicalPathwayDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNo | integer |
None. |
|
| ComponentType | integer |
None. |
|
| CaseCategory | integer |
None. |
|
| ScheduleDate | date |
None. |
|
| ScheduleStartTime | time interval |
None. |
|
| ScheduleEndTime | time interval |
None. |
|
| ScheduleTimeZoneId | integer |
None. |
|
| Status | integer |
None. |
|
| Scheduled | boolean |
None. |
|
| OpenDate | date |
None. |
|
| CloseDate | date |
None. |
|
| TimeZoneAbbreviation | string |
String length: inclusive between 0 and 100 |
|
| ClinicalPathawayName | string |
String length: inclusive between 0 and 100 |
|
| JobConditioningPathwayId | integer |
None. |
|
| OtherConsultedCliniciansId | integer |
None. |
|
| InteractionType | integer |
None. |
|
| OnsiteId | integer |
None. |
|
| TelemedicineId | integer |
None. |
|
| OnsiteSubServiceId | integer |
None. |
|
| InteractionTypeName | string |
String length: inclusive between 0 and 50 |
|
| ReasonForDelete | string |
String length: inclusive between 0 and 500 |
|
| IsSendNotification | boolean |
None. |
|
| IsTextNotification | boolean |
None. |
|
| IsFollowup | boolean |
None. |
|
| IsModality | boolean |
None. |
|
| ClinicalPathwayTypeName | string |
String length: inclusive between 0 and 100 |
|
| Sequence | integer |
None. |
|
| EccCaseTypeId | integer |
None. |
|
| lstCPWAddendum | Collection of CPWAddendumDTO |
None. |
|
| CallBackNumber | string |
String length: inclusive between 0 and 20 |
|
| ScheduleEndDate | date |
None. |
|
| IsNextDayScheduled | boolean |
None. |
|
| LocalDateTime | date |
None. |
|
| isExpand | boolean |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CaseNo": 2,
"ComponentType": 3,
"CaseCategory": 4,
"ScheduleDate": "2026-08-04T14:27:53.5250362-07:00",
"ScheduleStartTime": "00:00:00.1234567",
"ScheduleEndTime": "00:00:00.1234567",
"ScheduleTimeZoneId": 1,
"Status": 5,
"Scheduled": true,
"OpenDate": "2026-08-04T14:27:53.5250362-07:00",
"CloseDate": "2026-08-04T14:27:53.5250362-07:00",
"TimeZoneAbbreviation": "sample string 7",
"ClinicalPathawayName": "sample string 8",
"JobConditioningPathwayId": 1,
"OtherConsultedCliniciansId": 1,
"InteractionType": 1,
"OnsiteId": 1,
"TelemedicineId": 1,
"OnsiteSubServiceId": 1,
"InteractionTypeName": "sample string 9",
"ReasonForDelete": "sample string 10",
"IsSendNotification": true,
"IsTextNotification": true,
"IsFollowup": true,
"IsModality": true,
"ClinicalPathwayTypeName": "sample string 13",
"Sequence": 14,
"EccCaseTypeId": 15,
"lstCPWAddendum": [
{
"Id": 1,
"AddendumTypeId": 2,
"ClinicalPathwayId": 3,
"CaseNo": 4,
"AddendumNote": "sample string 5",
"ReasonForDelete": "sample string 6",
"AddendumType": "sample string 7",
"UserEmailId": "sample string 8",
"CreatedUserName": "sample string 9",
"RecordId": "b0f8e56b-fc63-4990-84e5-b8bc7cbf5438",
"FileName": "sample string 10",
"IsDocumentEdit": true,
"FileId": "sample string 12",
"FilePath": "sample string 13",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:53.5250362-07:00",
"DateUpdated": "2026-08-04T14:27:53.5250362-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
},
{
"Id": 1,
"AddendumTypeId": 2,
"ClinicalPathwayId": 3,
"CaseNo": 4,
"AddendumNote": "sample string 5",
"ReasonForDelete": "sample string 6",
"AddendumType": "sample string 7",
"UserEmailId": "sample string 8",
"CreatedUserName": "sample string 9",
"RecordId": "b0f8e56b-fc63-4990-84e5-b8bc7cbf5438",
"FileName": "sample string 10",
"IsDocumentEdit": true,
"FileId": "sample string 12",
"FilePath": "sample string 13",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:53.5250362-07:00",
"DateUpdated": "2026-08-04T14:27:53.5250362-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
}
],
"CallBackNumber": "sample string 16",
"ScheduleEndDate": "2026-08-04T14:27:53.5250362-07:00",
"IsNextDayScheduled": true,
"LocalDateTime": "2026-08-04T14:27:53.5250362-07:00",
"isExpand": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:53.5250362-07:00",
"DateUpdated": "2026-08-04T14:27:53.5250362-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfClinicalPathwayDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | ClinicalPathwayDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNo": 2,
"ComponentType": 3,
"CaseCategory": 4,
"ScheduleDate": "2026-08-04T14:27:53.540718-07:00",
"ScheduleStartTime": "00:00:00.1234567",
"ScheduleEndTime": "00:00:00.1234567",
"ScheduleTimeZoneId": 1,
"Status": 5,
"Scheduled": true,
"OpenDate": "2026-08-04T14:27:53.540718-07:00",
"CloseDate": "2026-08-04T14:27:53.5411663-07:00",
"TimeZoneAbbreviation": "sample string 7",
"ClinicalPathawayName": "sample string 8",
"JobConditioningPathwayId": 1,
"OtherConsultedCliniciansId": 1,
"InteractionType": 1,
"OnsiteId": 1,
"TelemedicineId": 1,
"OnsiteSubServiceId": 1,
"InteractionTypeName": "sample string 9",
"ReasonForDelete": "sample string 10",
"IsSendNotification": true,
"IsTextNotification": true,
"IsFollowup": true,
"IsModality": true,
"ClinicalPathwayTypeName": "sample string 13",
"Sequence": 14,
"EccCaseTypeId": 15,
"lstCPWAddendum": [
{
"Id": 1,
"AddendumTypeId": 2,
"ClinicalPathwayId": 3,
"CaseNo": 4,
"AddendumNote": "sample string 5",
"ReasonForDelete": "sample string 6",
"AddendumType": "sample string 7",
"UserEmailId": "sample string 8",
"CreatedUserName": "sample string 9",
"RecordId": "ed86aa59-a5e3-4aa3-98a1-77427fe214fa",
"FileName": "sample string 10",
"IsDocumentEdit": true,
"FileId": "sample string 12",
"FilePath": "sample string 13",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:53.5411663-07:00",
"DateUpdated": "2026-08-04T14:27:53.5411663-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
},
{
"Id": 1,
"AddendumTypeId": 2,
"ClinicalPathwayId": 3,
"CaseNo": 4,
"AddendumNote": "sample string 5",
"ReasonForDelete": "sample string 6",
"AddendumType": "sample string 7",
"UserEmailId": "sample string 8",
"CreatedUserName": "sample string 9",
"RecordId": "ed86aa59-a5e3-4aa3-98a1-77427fe214fa",
"FileName": "sample string 10",
"IsDocumentEdit": true,
"FileId": "sample string 12",
"FilePath": "sample string 13",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:53.5411663-07:00",
"DateUpdated": "2026-08-04T14:27:53.5411663-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
}
],
"CallBackNumber": "sample string 16",
"ScheduleEndDate": "2026-08-04T14:27:53.5411663-07:00",
"IsNextDayScheduled": true,
"LocalDateTime": "2026-08-04T14:27:53.5411663-07:00",
"isExpand": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:27:53.5411663-07:00",
"DateUpdated": "2026-08-04T14:27:53.5411663-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
},
"totalCount": 3
}